#ifndef weatherwidget_h
#define weatherwidget_h
#if DSP_MODEL!=DSP_DUMMY

#include "widgetsconfig.h"
#include "../fonts/iconsweather.h"

class WeatherIconWidget: public Widget {
  public:
    WeatherIconWidget() : _img(nullptr), _iw(0), _ih(0) {}
    ~WeatherIconWidget() {}
    
    using Widget::init;
    void init(WidgetConfig wconf, uint16_t fgcolor, uint16_t bgcolor);
    
    // Ustaw ikonę pogody na podstawie kodu (np. "01d", "02n")
    void setIcon(const char* code);
    
  protected:
    const uint16_t* _img;
    uint16_t _iw, _ih;  // width, height ikony
    
    void _draw();
    void _clear();
    void _reset();
};

#endif
#endif
